<?php
define('_IN_JOHNCMS', 1);
$textl = 'Toshkent Ob-Havo ma\'lumoti';
$headmod = 'Ob-Havo ma\'lumoti';
require_once '../incfiles/core.php';
require_once '../incfiles/head.php';
error_reporting(0);
include ('curl_query.php');
include ('simple_html_dom.php');
$html = file_get_html('http://m.gismeteo.ru/weather/14415/current/');
$dom = str_get_html($html);

$Shahar = $dom->find('span[class="black"]', 0);
if($Shahar!= false){
$file = $Shahar->innertext;
$file = str_replace('Андижан', 'Andijon', $file);
$file = str_replace('Ангрен', 'Angren', $file);
$file = str_replace('Бекабад', 'Bekobod', $file);
$file = str_replace('Бухара', 'Buxoro', $file);
$file = str_replace('Чимган', 'Chimyon', $file);
$file = str_replace('Фергана', 'Farg\'ona', $file);
$file = str_replace('Джизак', 'Jizzah', $file);
$file = str_replace('Наманган', 'Namangan', $file);
$file = str_replace('Навои', 'Navoi', $file);
$file = str_replace('Нукус', 'Nukus', $file);
$file = str_replace('Алмалык', 'Olmaliq', $file);
$file = str_replace('Карши', 'Qarshi', $file);
$file = str_replace('Коканд', 'Qo\'qon', $file);
$file = str_replace('Самарканд', 'Samarqand', $file);
$file = str_replace('Шахрисабз', 'Shahrisabz', $file);
$file = str_replace('Термез', 'Termiz', $file);
$file = str_replace('Ташкент', 'Toshkent', $file);
$file = str_replace('Ургенч', 'Urganch', $file);
$file = str_replace('Хива', 'Xiva', $file);
$file = str_replace('Ходжейли', 'Xo\'jeyli', $file);
echo '<div class="phdr"><a href="/ob-havo/">O\'zbekiston</a> '.$file.'</div>';
}
$rasm = $dom->find('td[class="weather__icon"]', 0);
if($rasm!= false){
$file = $rasm->innertext;
$file = str_replace('src="/static/', 'src="http://m.gismeteo.ru/static/', $file);
echo '<div class="menu">'.$file.'';
}
$gradus = $dom->find('td[class="weather__temp"]', 0);
if($gradus!= false){
$file = $gradus->innertext;
$file = str_replace('<span>', '<span class="ob">', $file);
$file = str_replace('www.gor.uz', '', $file);
echo ''.$file.'';
}

$kun = $dom->find('td[class="weather__desc"]', 0);
if($kun!= false){
$file = $kun->innertext;
$file = str_replace('Ясно', '&nbsp;Ochiq', $file);
$file = str_replace('Малооблачно', '&nbsp;Qisman bulutli', $file);
$file = str_replace('Облачно', '&nbsp;Bulutli', $file);
$file = str_replace('Пасмурно', '&nbsp;Bulutli xavo', $file);
$file = str_replace('юго', '&nbsp;janubi', $file);
$file = str_replace('юго-восточный', '&nbsp;janubi-sharqiy', $file);
echo ''.$file.'</div>';
}
$sezgi = $dom->find('p', 0);
if($sezgi!= false){
$file = $sezgi->innertext;
$file = str_replace('По ощущению:', '<b>His qilasiz:</b>', $file);
echo '<div class="menu">'.$file.'</div>';
}
$shamol = $dom->find('p', 1);
if($shamol!= false){
$file = $shamol->innertext;
$file = str_replace('Ветер:', '<b>Shamol:</b>', $file);
$file = str_replace('м/с', 'm/s', $file);
$file = str_replace('восточный', 'sharqiy', $file);
$file = str_replace('северный', 'shimoliy', $file);
$file = str_replace('северо', 'shimoli', $file);
$file = str_replace('штиль', 'tinch', $file);
$file = str_replace('западный', 'g\'arbiy', $file);

echo '<div class="menu">'.$file.'</div>';
}
$bosim = $dom->find('p', 2);
if($bosim!= false){
$file = $bosim->innertext;
$file = str_replace('Давление:', '<b>Bosim:</b>', $file);
$file = str_replace('мм', 'MM', $file);
$file = str_replace('рт', 'PT', $file);
$file = str_replace('ст', 'CT', $file);
echo '<div class="menu">'.$file.'</div>';
}
$Namlik = $dom->find('p', 3);
if($Namlik!= false){
$file = $Namlik->innertext;
$file = str_replace('Влажность:', '<b>Namlik:</b>', $file);
echo '<div class="menu">'.$file.'</div>';
}
$Suv = $dom->find('p', 4);
if($Suv!= false){
$file = $Suv->innertext;
$file = str_replace('Температура воды:', '<b>Suvdagi harorat:</b>', $file);
echo '<div class="menu">'.$file.'</div>';
}
$Geomagnit = $dom->find('p', 5);
if($Geomagnit!= false){
$file = $Geomagnit->innertext;
$file = str_replace('Геомагнитная обстановка:', '<b>Geomagnit ahvolt:</b>', $file);
$file = str_replace("балла",'<b>ball</b>', $file);
#$file = str_replace('балл', '<b>ball</b>', $file);
echo '<div class="menu">'.$file.'</div>';
}
$Quyosh = $dom->find('p', 6);
if($Quyosh!= false){
$file = $Quyosh->innertext;
$file = str_replace('Восход солнца:', '<b>Quyoshning chiqishi:</b>', $file);
echo '<div class="menu">'.$file.'</div>';
}
$Quyosh2 = $dom->find('p', 7);
if($Quyosh2!= false){
$file = $Quyosh2->innertext;
$file = str_replace('Заход солнца:', '<b>Quyoshning botishi:</b>', $file);
echo '<div class="menu">'.$file.'</div>';
}
$Kun = $dom->find('p', 8);
if($Kun!= false){
$file = $Kun->innertext;
$file = str_replace('Долгота дня:', '<b>Kunning uzunligi:</b>', $file);
echo '<div class="menu">'.$file.'</div>';
}
$oy = $dom->find('p', 9);
if($oy!= false){
$file = $oy->innertext;
$file = str_replace('Луна:', '<b>Oy:</b>', $file);
$file = str_replace('Полнолуние', '<b>Oy to\'lishi</b>', $file);
echo '<div class="menu">'.$file.'</div>';
}
else{echo '<div class="menu"><b>Vaqtinchalik ta\'mirlash ishlari olib borilmoqda!</b></div>'; }
require_once '../incfiles/end.php';
?>